***

title: liveTranslate
slug: /reference/typescript/rest/calling/live-translate
description: Start live translation on an active call via REST.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Start live translation on an active call. Spoken audio is transcribed and
translated in real time to a target language.

<EndpointSchemaSnippet endpoint="POST /api/calling/calls" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/calling/calls" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

await client.calling.liveTranslate("call-id-xxx", {
  action: {
    start: {
      from_lang: "en-US",
      to_lang: "es-ES",
      direction: ["local-caller", "remote-caller"],
      from_voice: "elevenlabs.josh",
      to_voice: "elevenlabs.josh",
    }
  },
});
```